Package com.google.android.exoplayer2.util

## Interface ListenerSet.IterationFinishedEvent<T>

- Type Parameters:
    `T` - The listener type.
  Enclosing class:
    ListenerSet<T>

      public static interface ListenerSet.IterationFinishedEvent<T>

  An event sent to a listener when all other events sent during one `Looper` message queue iteration were handled by the listener.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `invoke​(T listener, ExoFlags eventFlags)` | Invokes the iteration finished event.

- - ### Method Detail

    - #### invoke

          void invoke​(T listener,
                      ExoFlags eventFlags)

      Invokes the iteration finished event.
      Parameters:
        `listener` - The listener to invoke the event on.
        `eventFlags` - The combined event `flags` of all events sent in this iteration.